﻿package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.filters.BlurFilter;
	import flash.geom.Matrix;
	import flash.geom.Point;
	public class Sinuser extends Sprite
	{
		private var bmp:BitmapData;
		private var angle:uint = 0;
		private var support:Sprite = new Sprite();
		private var colors:Array = [0x66ffff,0xcc99ff];
		public function Sinuser()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			bmp = new BitmapData(stage.stageWidth,stage.stageHeight,false,0x000000);
			addChild(new Bitmap(bmp));
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function buildCycle(target:Sprite,angle:uint):Sprite
		{	
			var point:Sprite = new Sprite();
			point.graphics.beginFill(colors[angle%3],1);
			point.graphics.drawCircle(0,0,10);
			point.graphics.endFill();
			target.addChild(point);
			point.x = Math.cos(angle*Math.PI/180)*6;
			point.y = Math.sin(angle*Math.PI/180)*4;
			return point;
		}
		private function enterHandler(e:Event):void
		{
			var basis:Sprite = new Sprite();
			basis.x = stage.stageWidth;
			basis.y = stage.stageHeight;
			support.addChild(basis);
			for(var i:uint=0;i<100;i++){
				basis = buildCycle(basis,angle*i);
			}
			var m:Matrix = new Matrix();
			m.rotate(angle/(mouseX/6)s);
			m.translate(stage.stageWidth*2,stage.stageHeight*2);
			m.scale(0.25,0.25);
			
			bmp.draw(support,m);
			support.removeChildAt(0);
			angle++;
		}
	}
}